org.apache.commons.io.input

## Class ReaderInputStream.Builder

- java.lang.Object
- - org.apache.commons.io.build.AbstractSupplier<T,B>
  - - org.apache.commons.io.build.AbstractOriginSupplier<T,B>
    - - org.apache.commons.io.build.AbstractStreamBuilder<ReaderInputStream,ReaderInputStream.Builder>
      - - org.apache.commons.io.input.ReaderInputStream.Builder

- All Implemented Interfaces:
    IOSupplier<ReaderInputStream>
  Enclosing class:
    ReaderInputStream

      public static class ReaderInputStream.Builder
      extends AbstractStreamBuilder<ReaderInputStream,ReaderInputStream.Builder>

  Builds a new `ReaderInputStream` instance.

  For example:

       ReaderInputStream s = ReaderInputStream.builder()
         .setPath(path)
         .setCharsetEncoder(Charset.defaultCharset().newEncoder())
         .get()

  Since:
    2.12.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReaderInputStream` | `get()` Constructs a new instance.
    `ReaderInputStream.Builder` | `setCharset(Charset charset)` Sets the Charset.
    `ReaderInputStream.Builder` | `setCharsetEncoder(CharsetEncoder charsetEncoder)` Sets the charset encoder.

    - ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

      `getBufferSize, getBufferSizeDefault, getCharset, getCharsetDefault, setBufferSize, setBufferSize, setBufferSizeDefault, setCharset, setCharsetDefault`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

      `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setReader, setURI, setWriter`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

      `asThis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

      `asSupplier`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### get

          public ReaderInputStream get()
                                throws IOException

      Constructs a new instance.
      Returns:
        a result
      Throws:
        `UnsupportedOperationException` - if the origin cannot be converted to a Reader.
        `IOException` - if an I/O error occurs.

    - #### setCharset

          public ReaderInputStream.Builder setCharset(Charset charset)

      Description copied from class: `AbstractStreamBuilder`
      Sets the Charset.

      Subclasses may ignore this setting.

      Overrides:
        `setCharset` in class `AbstractStreamBuilder<ReaderInputStream,ReaderInputStream.Builder>`
      Parameters:
        `charset` - the Charset, null resets to the default.
      Returns:
        this.

    - #### setCharsetEncoder

          public ReaderInputStream.Builder setCharsetEncoder(CharsetEncoder charsetEncoder)

      Sets the charset encoder.
      Parameters:
        `charsetEncoder` - the charset encoder.
      Returns:
        this

Copyright © 2002–2023 The Apache Software Foundation. All rights reserved.